Sunday 22 July 2007

Bearing up

The bearings for the extruder pump are supposed to be made from brass and I had a bit of brass rod earmarked for the job. It is only 9mm diameter but the bearings are supposed to be 10mm. I had planned to make the holes in the pump housing smaller to compensate but I forgot. While wondering what to do I just happened to find a 10mm steel pin lying around at a rubbish tip.



The fact that there is no rust on it suggests that it is some form of stainless steel. It is certainly quite hard. I tried to cut it on the lathe with a parting off tool and all it it did was take the tip off the tool.



I next tried cutting it by holding a hacksaw against it while spinning it in the lathe. That worked but was very slow and shook the lathe a lot. By far the best way was to just saw it in a vice with the hacksaw.

I drilled the hole down the middle on the lathe. I had trouble centering the pilot drill. You are supposed to use a special center drill as described here, but I don't have one of those so I used the surprising technique called "catching the centre". Here are a couple of excellent videos I found that describe this technique: -





Once I had got the drill started I put the chuck back in the tailstock and drilled the full length with 1mm, 2mm and 3mm drills.

Here are the finished bearings :-



The RepRap instructions suggest that the bearings should be made after the spindle but I think it is better the do it the other way round. That way you can try the bearings against the spindle while it is still in the lathe and turn the spindle down to the right fit.

Wednesday 18 July 2007

Steady on

A friend pointed out to me that actually I have reinvented the "three point steady". Here are some examples I found on the web :-







Incidentally the only reason mine has flat sides is because the width was limited by the size of the raw material .

I have not had a chance to try it out yet, but it looks like I am on a well trodden track.

I have had a request to show the ten lines of Python which draw the simulation window. These are :-

In the constructor:

self.root = Tk()
self.root.title("HydraRaptor")
frame = Frame(self.root)
frame.pack()
self.canvas = Canvas(frame, width = 710, height = 765)
self.canvas.create_rectangle(-70*5, -76*5, 70*5, 76*5)
self.canvas.pack()

In the destructor:
self.canvas.config(scrollregion=self.canvas.bbox(ALL))
self.root.mainloop()

In the feed_xy function:
self.canvas.create_line(self.xy[0]*5, -self.xy[1]*5, pos[0]*5, -pos[1]*5)

I am sure there is a better way to do the scaling, replacing the magic numbers with constants would be a start!

Tuesday 17 July 2007

Dinner and Delrin

I am used to being inundated with HDPE milk bottles but it's something when your dinner guests bring you a bottle of wine and a carrier bag of Delrin scraps! Very welcome of course.

Not posted for a while because, apart from entertaining, I have been puzzling over how you drill a centred hole in the end of a long workpiece using a lathe. Several of the RepRap extruder parts need axial holes drilling down the middle of them. On a normal lathe these parts would not be considered long. They would be pushed back inside the chuck, so that the end which meets the drill mounted in the tail stock is well centred. On the scale of watch parts they are massive so they are too big to fit down the spindle of my watchmaker's lathe. If I put the far end in the chuck then the near end drifts out of centre. Normally you would support a long item with the tail stock when turning it, but how do you support it when drilling?

Here is a picture of a 1mm pilot hole being drilled in M5 threaded rod with a drill guide. Although this was only slightly off centre each successively bigger drill wandered further out.



The problem is not unique to my small lathe as it would occur with larger parts on a larger lathe. I searched around the web for a solution but I did not find one, so I decided to solve the problem by making a new part for the lathe. Not sure what to call it but it is a sort of inside out live tailstock. I.e. rather than having a bearing which meets the end of the workpiece, it has three rollers which support the outside of the workpiece, keeping it centred but allowing it to turn freely with access to its end for drilling.



This is the largest thing I have milled so far, so not wanting to risk wasting time and material, I decided to add a tool path simulation view to my Python script. As I have come to expect with Python this was trivial. A quick Google found me the Tkinter package. A quick scan through the tutorial and ten lines of code later here it is:-



I don't know if the new device works yet but it looks promising. Here it is with some M5 threaded rod spinning in it:-



I don't know if I have invented a new tool or just reinvented the wheel, or three wheels to be precise.